Jump to content


Photo
- - - - -

How to remove CSS/LESS complier error

LESS

  • Please log in to reply
7 replies to this topic

#1 netmorerealtor

netmorerealtor

    Newbie

  • Members
  • Pip
  • 7 posts
  • Country: Country Flag

Posted 06 March 2013 - 04:16 AM

I was playing around a LESS file with the Pageline Customization plugin, the theme then had a complier error message as follows:

 

PageLines Core LESS/CSS error.

parse error: failed at `@import: "normalize.less"` line: 7069

 

I have deleted the plugin, removed the normalize.less file from the directory and reinstalled the theme. The error message still remain there.

 

Please advice how to fix this issue.

 

Thanks.



#2 James B

James B

    Advocate

  • Members

  • 5126 posts
  • LocationSurrey - UK
  • Country: Country Flag

Posted 06 March 2013 - 04:22 AM

Hi there,

 

Look for a button in the admin bar at the top of the page which says 'flush less'. Hit that and it should recompile and clear the error :-)



#3 netmorerealtor

netmorerealtor

    Newbie

  • Members
  • Pip
  • 7 posts
  • Country: Country Flag

Posted 06 March 2013 - 04:40 AM

Thanks so much, it is fixed now.

 

I wanted to use preboot.less from

Please Login or Register to see this Hidden Content

(same bootstrap creator) as well as the "normalize.less" file as it is recommended in his Github. Here is what I did lead me to the compile error:

 

1. saved both less files in the same directory as the style.less & function.php from Pagelines Customization Plugin.

 

2. In "style.less" file, I added the following two lines.

 

@import: "normalize.less"

@import: "preboot.less"

 

3. then I added some LESS CSS codes in "style.less"

 

4. When I refresh my site, the compile error happened.

 

What did I do wrong?



#4 James B

James B

    Advocate

  • Members

  • 5126 posts
  • LocationSurrey - UK
  • Country: Country Flag

Posted 06 March 2013 - 05:24 AM

Hi there,

 

I'm glad that worked :-)

 

I'm not a developer so I'm not sure on the other two files being used within the customize plugin from what I've read @import rules have to go at the top of the styesheet above the body tag for them to work. I think the plugin won't be able to use those files to be honest, it will have to go into a child theme, like the base theme. There's an example of what LESS the plugin can handle as opposed to the theme here which might help-

Please Login or Register to see this Hidden Content



#5 netmorerealtor

netmorerealtor

    Newbie

  • Members
  • Pip
  • 7 posts
  • Country: Country Flag

Posted 06 March 2013 - 12:27 PM

Thanks for pointing me to this link, I will take a look.



#6 Danny

Danny

    Is Awesome!

  • Moderators
  • 17660 posts
  • LocationManchester, UK
  • Country: Country Flag

Posted 06 March 2013 - 12:37 PM

May I ask why you wish to use Preboot, most of the variables and mixins are already available in PageLines ?

Please Login or Register to see this Hidden Content



#7 reidwalley

reidwalley

    Member

  • Members
  • 26 posts
  • LocationSaramento, CA
  • Framework Version:2.3.3
  • Country: Country Flag

Posted 01 October 2013 - 12:27 PM

Hi there,

 

Look for a button in the admin bar at the top of the page which says 'flush less'. Hit that and it should recompile and clear the error :-)

 

I can't find the "Flush LESS" button in the WordPress Admin anywhere at the top of the page.



#8 Danny

Danny

    Is Awesome!

  • Moderators
  • 17660 posts
  • LocationManchester, UK
  • Country: Country Flag

Posted 01 October 2013 - 12:48 PM

From what I can remember, you need to have Debug Mode active.







Also tagged with one or more of these keywords: LESS